2019-10-14 14:09 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000178FSSCPmultiplayerpublic2007-03-23 04:17
Reporterkasperl 
Assigned Totaylor 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformwindowsOS98se/meOS Versionfully patched
Product Version 
Target VersionFixed in Version3.6 
Summary0000178: Versions don't match on LAN play
Descriptionwhen using two exact same folders, even in the exact same path, and the exact same build, on a winME PC and a win98se PC, i get a "different versions" message when using LAN play.
Steps To Reproducei know, not a real neat step list, but this is a lot easier.

ok, i got my dad to allow me to install FSO on is comp, so i took me FS dir, cleaned out the mess, ripped out the zpack mvp, put all the VP's in the main folder, but the weapons pack in the enhanced folder, ripped out all the old builds, made sure everything worked, wrecked the network for half an our transfering the gigabyte of data, ran the retail launcher, ran the FSO launcher, ran the game, played. Now, my little brother wants to get slaughtered over the LAN, so i set up my PC as a LAN host, using the EXACT SAME DATA as my dads PC.

I go downstairs (dads PC), discover i am using a builld from a month ago, i switch to the right build, use the -mod param to get FSO to use the weapons pack as well, setup pilots and stuff. Enter the IP from my own PC, make sure PXO is turned of, etc, etc. I try to join the game i'm hosting on my own PC, and i get a warning

"you are running an older version of FS then the host, click the update button in the launcher to get the most recent version".

now, i am running the exact same build as upstairs, but from a different path. so i try to move the stuff to the exact same path, and try it again, same error.

My dad's PC runs winME, i run win98SE, and we are connected through two hubs connected to eachother.

oh yes, almost forgot, when i hit escape in the server list, i saw a flash of Kazan's rathaven chat thingy before the mainhall appeared.
Additional Informationhttp://dynamic4.gamespy.com/~freespace/forums/showthread.php?s=&postid=458628#post458628
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000832

taylor (administrator)

This may be build specific.

~0000833

kasperl (developer)

ok, i will try on Goobers latest build, and a fresh CVS compile tommorow.

~0000860

taylor (administrator)

The join_request packets were messed up in the 04/05 build. That problem is fixed now and wasn't ever in a CVS version.
+Notes

-Issue History
Date Modified Username Field Change
2004-04-24 12:31 kasperl New Issue
2004-04-27 10:15 taylor Note Added: 0000832
2004-04-27 10:15 taylor Status new => assigned
2004-04-27 10:15 taylor Assigned To => taylor
2004-04-27 11:30 kasperl Note Added: 0000833
2004-04-30 00:08 Goober5000 Priority normal => immediate
2004-04-30 08:45 taylor Status assigned => resolved
2004-04-30 08:45 taylor Resolution open => fixed
2004-04-30 08:45 taylor Note Added: 0000860
2007-03-23 04:17 taylor Status resolved => closed
2007-03-23 04:17 taylor Fixed in Version => 3.6
+Issue History